## docbookwiki 0.9.1cvs

=== web_app/l10n-module/php-gettext/Makefile ===
PACKAGE = php-gettext-$(VERSION)
VERSION = 1.0.3

DIST_FILES = \
	gettext.php \
	streams.php \
	AUTHORS     \
	ChangeLog   \
	README      \
	COPYING     \
	Makefile    \
	examples/pigs.php    \
	examples/serbian.po  \
	examples/serbian.mo  \
	examples/update

dist:
	if [ -d $(PACKAGE) ]; then \
	    rm -rf $(PACKAGE); \
	fi; \
	mkdir $(PACKAGE); \
	if [ -d $(PACKAGE) ]; then \
	    cp -rp --parents $(DIST_FILES) $(PACKAGE); \
	    tar cvzf $(PACKAGE).tar.gz $(PACKAGE); \
	    rm -rf $(PACKAGE); \
	fi;

## docbookwiki 0.9.2

=== debian/changelog ===
docbookwiki (0.9.2-4) unstable; urgency=low

  * Removed redundant prerm script (Closes: #671692)

 -- Jeremy Malcolm <terminus@debian.org>  Sun, 13 May 2012 19:42:01 +0800

docbookwiki (0.9.2-3) unstable; urgency=low

  * Chowned unowned files on purge (Closes: #668788)
  * Packaging updated for Apache 2.4 (Closes: 669760)
  * Below changes contributed by Jari Aalto <jari.aalto@cante.net>
    (Closes: #668489)
  * Remove deprecated dpatch references from rules file.
  * Upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3, debhelper to 9, add ${misc:Depends}.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix maintainer-script-lacks-debhelper-token prerm (Lintian).
  * Fix maintainer-script-without-set-e config (Lintian).
  * Fix no-homepage-field (Lintian).

 -- Jeremy Malcolm <terminus@debian.org>  Thu, 12 Apr 2012 11:10:45 +0300

docbookwiki (0.9.2-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #615937
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #617333
  * Portuguese (Américo Monteiro).  Closes: #612623
  * Galician (Miguel Anxo Bouzada).  Closes: #617390
  * Danish (Joe Hansen).  Closes: #617430
  * Swedish (Martin Bagge / brother).  Closes: #617435
  * German (Helge Kreutzmann).  Closes: #617552
  * Czech (Tomas Fidler).  Closes: #614920
  * French (Jean-Luc Coulon (f5ibh)).  Closes: #618571
  * Slovak (Ivan Masár).  Closes: #618858
  * Finnish (Esko Arajärvi).  Closes: #618949
  * Spanish (Omar Campagne).  Closes: #619018
  * Brazilian Portuguese (Eder L. Marques).  Closes: #619633
  * Removed dbconfig dependency as this is too much overhead for purging
    webnotes.
  * No longer test for obsolete Web servers.
 -- Jeremy Malcolm <terminus@debian.org>  Sat, 3 Apr 2011 23:15:10 +0800

docbookwiki (0.9.2-1) unstable; urgency=low

  * Package moved from non-free to main distribution
  * New upstream version (Closes: #607972, #608970)
  * sudo configuration moved to /etc/sudoers.d (Closes: #608969)
  * As webnotes functionality has been disabled upstream for now, mysql
    dependency has been removed, and old databases will be removed on
    purge using dbconfig (Closes: #609309)
  * Moved web_app framework to /usr/share/php in preparation for splitting
    it out into a separate package.

 -- Jeremy Malcolm <terminus@debian.org>  Sun, 5 Feb 2011 21:33:49 +0800

docbookwiki (0.9.1cvs-14) unstable; urgency=low

  * When notes need not be approved, hide approval warnings for visitors
    (Closes: #572394)
  * Set PHP variable magic_quotes_gpc off (Closes: #572395)
  * Removes crontab on purge (Closes: #573134)

 -- Jeremy Malcolm <terminus@debian.org>  Sun, 21 Mar 2010 21:43:49 +0800

docbookwiki (0.9.1cvs-13) unstable; urgency=low

  * Fixed bugs in Web UI (Closes: #569522)

 -- Jeremy Malcolm <terminus@debian.org>  Fri, 12 Feb 2010 23:32:54 +0100

docbookwiki (0.9.1cvs-12) unstable; urgency=low

  * Purge does not bail out if the webnotes database cannot be deleted
    (Closes: #543971)

 -- Jeremy Malcolm <terminus@debian.org>  Tue, 01 Sep 2009 17:02:55 +0800

docbookwiki (0.9.1cvs-11) unstable; urgency=low

  * Substituted svn-load dependency for undistributable svn_load_dirs.pl
    script (Closes: #519599)
  * Updated Czech, Spanish and Galician translations (Closes: #531041,
    #537068, #537533)

 -- Jeremy Malcolm <terminus@debian.org>  Mon, 20 Jul 2009 17:59:41 +0800

docbookwiki (0.9.1cvs-10) unstable; urgency=low

  * Updated Russian translation (Closes: #511374)
  * Removed doxygen dependency, docs must be made manually by the user now.

 -- Jeremy Malcolm <terminus@debian.org>  Wed, 22 Feb 2008 15:17:01 +0800

docbookwiki (0.9.1cvs-9) unstable; urgency=low

  * Updated Swedish translation (Closes: #505544)

 -- Jeremy Malcolm <terminus@debian.org>  Wed, 17 Dec 2008 10:06:21 +0900

docbookwiki (0.9.1cvs-8) unstable; urgency=low

  * Updated translation (Closes: #491943)

 -- Jeremy Malcolm <terminus@debian.org>  Fri, 25 Jul 2008 08:39:19 +0800

docbookwiki (0.9.1cvs-7) unstable; urgency=low

  * Patched file incompatible with non-bash shells (Closes: #489564)

 -- Jeremy Malcolm <terminus@debian.org>  Mon, 7 Jul 2008 20:33:28 +0800

docbookwiki (0.9.1cvs-6) unstable; urgency=low

  * Updated translation (Closes: #483429)

 -- Jeremy Malcolm <terminus@debian.org>  Thu, 29 May 2008 18:12:18 +0800

docbookwiki (0.9.1cvs-5) unstable; urgency=low

  * Added French translation (Closes: #440546)

 -- Jeremy Malcolm <terminus@debian.org>  Sun, 02 Mar 2008 16:19:22 +0900

docbookwiki (0.9.1cvs-4) unstable; urgency=low

  * Added Portuguese and German translations.  (Closes: #438715, #439401)

 -- Jeremy Malcolm <terminus@debian.org>  Sat, 25 Aug 2007 08:18:01 +0800

docbookwiki (0.9.1cvs-3) unstable; urgency=low

  * Switched to gettext-based debconf templates.  (Closes: #438091)

 -- Jeremy Malcolm <terminus@debian.org>  Wed, 15 Aug 2007 20:57:23 +0800

docbookwiki (0.9.1cvs-2) unstable; urgency=low

  * Added dependencies on libapache[2]-mod-php[4|5] and php[4|5]-mysql,
    fixed bug where patches not applied correctly.

 -- Jeremy Malcolm <terminus@debian.org>  Tue,  7 Aug 2007 14:39:34 +0800

docbookwiki (0.9.1cvs-1) unstable; urgency=low

  * Initial release (Closes: #254649)

 -- Jeremy Malcolm <terminus@debian.org>  Mon, 30 July 2007 09:15:09 +0800

=== debian/control ===
Source: docbookwiki
Section: web
Priority: extra
Maintainer: Jeremy Malcolm <terminus@debian.org>
Build-Depends: debhelper (>= 9), gettext, po-debconf
Standards-Version: 3.9.3
Homepage: http://freecode.com/projects/docbookwiki

Package: docbookwiki
Architecture: all
Depends: ${misc:Depends}, apache2, php5-cli, libapache-mod-php5 | libapache2-mod-php5, debconf | debconf-2.0, xsltproc (>=1.1.18), libxml2-utils, openssl, sudo (>=1.7.2p1-1), swish-e, docbook-xml, docbook-xsl, xmlto, docbook-utils, dblatex, xmltex, docbook-dsssl, jadetex, subversion, adduser, gawk, svn-load, php-gettext
Description: web application to display and edit DocBook documents online
 DocBookWiki is a wiki-like application that allows editing documents
 in XML (DocBook) format. It has the following features:
  * online display of DocBook documents;
  * simultaneous display of multiple documents;
  * multiple-language display;
  * granular modification by section and language;
  * multiple editing modes: text, HTML, XML, texi, LaTeX, etc.;
  * automatic conversion of DocBook documents to other formats (such
    as PDF, RTF, LaTeX, etc.) for downloading;
  * document modifications history in SVN;
  * authentication system with granular access rights management.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch configure-stamp


build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	l10n/msgfmt-all.sh
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf `find l10n -name *.mo`
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs ChangeLog.txt
	dh_installdocs --exclude .svn
	dh_installcron
	dh_installexamples mount-content.sh
	dh_link /usr/share/php/web_app /usr/share/docbookwiki/web_app
	dh_install --exclude .svn --exclude .cvs --exclude COPYING --exclude svn_load_dirs.pl
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/doc-book/books-(.*)\.tar\.gz
